| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | Friends | List of all members
DataPointSet::Pos Class Reference
General

Real Coord3D-position storable in BinIDValueSet + trc nr. More...

`#include <datapointset.h>`

## Public Member Functions
| Pos ()
| Pos (::Pos::GeomID, int trcnr, float z)
| Pos (const BinID &bid, float z)
| Pos (const Coord &, float z)
| Pos (const Coord3 &)
| Pos (const Pos &)
| ~Pos ()
const BinID & | binID () const
float | binIDOffSet (bool inx) const
Coord | coord () const
::Pos::GeomID | geomID () const
int | lineNr () const
Pos & | operator= (const Pos &pos)
bool | operator== (const Pos &pos) const
void | set (::Pos::GeomID, int trcnr)
void | set (const BinID &bid)
void | set (const Coord &)
void | set (const Coord3 &)
void | setBinIDOffset (bool inx, float o)
void | setBinIDOffsets (float ox, float oy)
int | trcNr () const
float | z () const

## Public Attributes
BinID & | binid_
int & | nr_
TrcKey | trckey_
float | z_

## Protected Member Functions
void | setOffs (const Coord &)

## Protected Attributes
float | offsx_
float | offsy_

## Friends
class | DataRow

## Detailed Description

Real Coord3D-position storable in BinIDValueSet + trc nr.

<>

## Constructor & Destructor Documentation

## ◆ Pos() [1/6]

DataPointSet::Pos::Pos | ( |  | ) |

## ◆ Pos() [2/6]

DataPointSet::Pos::Pos | ( | const BinID & | bid,
|  | float | z )

## ◆ Pos() [3/6]

DataPointSet::Pos::Pos | ( | const Coord & | ,
|  | float | z )

## ◆ Pos() [4/6]

DataPointSet::Pos::Pos | ( | const Coord3 & |  | ) |

## ◆ Pos() [5/6]

DataPointSet::Pos::Pos | ( | ::Pos::GeomID | ,
|  | int | trcnr,
|  | float | z )

## ◆ Pos() [6/6]

DataPointSet::Pos::Pos | ( | const Pos & |  | ) |

## ◆ ~Pos()

DataPointSet::Pos::~Pos | ( |  | ) |

## Member Function Documentation

## ◆ binID()

const BinID & DataPointSet::Pos::binID | ( |  | ) | const
| inline

## ◆ binIDOffSet()

float DataPointSet::Pos::binIDOffSet | ( | bool | inx | ) | const
| inline

## ◆ coord()

Coord DataPointSet::Pos::coord | ( |  | ) | const

## ◆ geomID()

::Pos::GeomID DataPointSet::Pos::geomID | ( |  | ) | const
| inline

## ◆ lineNr()

int DataPointSet::Pos::lineNr | ( |  | ) | const
| inline

## ◆ operator=()

Pos & DataPointSet::Pos::operator= | ( | const Pos & | pos | ) |

## ◆ operator==()

bool DataPointSet::Pos::operator== | ( | const Pos & | pos | ) | const
| inline

## ◆ set() [1/4]

void DataPointSet::Pos::set | ( | ::Pos::GeomID | ,
|  | int | trcnr )

## ◆ set() [2/4]

void DataPointSet::Pos::set | ( | const BinID & | bid | ) |
| inline

## ◆ set() [3/4]

void DataPointSet::Pos::set | ( | const Coord & |  | ) |

## ◆ set() [4/4]

void DataPointSet::Pos::set | ( | const Coord3 & |  | ) |

## ◆ setBinIDOffset()

void DataPointSet::Pos::setBinIDOffset | ( | bool | inx,
|  | float | o )
| inline

## ◆ setBinIDOffsets()

void DataPointSet::Pos::setBinIDOffsets | ( | float | ox,
|  | float | oy )
| inline

## ◆ setOffs()

void DataPointSet::Pos::setOffs | ( | const Coord & |  | ) |
| protected

## ◆ trcNr()

int DataPointSet::Pos::trcNr | ( |  | ) | const
| inline

## ◆ z()

float DataPointSet::Pos::z | ( |  | ) | const
| inline

## Friends And Related Symbol Documentation

## ◆ DataRow

friend class DataRow
| friend

## Member Data Documentation

## ◆ binid_

BinID& DataPointSet::Pos::binid_

## ◆ nr_

int& DataPointSet::Pos::nr_

## ◆ offsx_

float DataPointSet::Pos::offsx_
| protected

## ◆ offsy_

float DataPointSet::Pos::offsy_
| protected

## ◆ trckey_

TrcKey DataPointSet::Pos::trckey_

## ◆ z_

float DataPointSet::Pos::z_

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025